---

#! jobs/stress-ng-part4.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: sysfs

# ---
job_origin: stress-ng-part4.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-spr-r02
tbox_group: lkp-spr-r02
job_file: "/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-sysfs-60s-debian-12-x86_64-20240206.cgz-807333522953-20240625-54609-1oto9j9-10.yaml"
id: fbecddd85097b44da1561a4a8378d477200ee587
queuer_version: "/lkp/xsang/.src-20240625-105431"

#! /db/releases/20240524140829/lkp-src/hosts/lkp-spr-r02
model: Sapphire Rapids
nr_node: 2
nr_cpu: 224
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019R4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x70e47014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Platinum 8480CTDX
belongs_to: lkp

#! /db/releases/20240524140829/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240524140829/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240524140829/lkp-src/include/stress-ng

#! /db/releases/20240524140829/lkp-src/include/queue/cyclic
commit: 80733352295340ab492002bd023ea8a1db8025f5

#! /db/releases/20240524140829/lkp-src/include/testbox/lkp-spr-r02
ucode: '0x2b0004b1'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-06-25 15:05:55.069266012 +08:00
_rt: "/result/stress-ng/performance-100%-sysfs-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5"
compiler: gcc-13
head_commit: f76698bd9a8ca01d3581236082d786e9a6b72bb7
base_commit: 6ba59ff4227927d3a8530fc2973b80e94b54d58f
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240625-204934"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-sysfs-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5/vmlinuz-6.10.0-rc3-00004-g807333522953
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-sysfs-60s-debian-12-x86_64-20240206.cgz-807333522953-20240625-54609-1oto9j9-10.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=80733352295340ab492002bd023ea8a1db8025f5
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x70e47014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240612.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-ecd3fe291-1_20240612.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20240623115031/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-spr-r02/stress-ng-performance-100%-sysfs-60s-debian-12-x86_64-20240206.cgz-807333522953-20240625-54609-1oto9j9-10.cgz"
last_kernel: 5.9.0-2-amd64
acpi_rsdp: '0x70e47014'

#! user overrides

#! /db/releases/20240624160847/lkp-src/include/site/inn
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5/vmlinuz-6.10.0-rc3-00004-g807333522953"
result_root: "/result/stress-ng/performance-100%-sysfs-60s/lkp-spr-r02/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/80733352295340ab492002bd023ea8a1db8025f5/0"

#! /db/releases/20240625205656/lkp-src/include/site/inn
dequeue_time: 2024-06-26 03:06:07.343439567 +08:00
job_state: finished
loadavg: 2.65 45.05 32.76 1/1985 3473780
start_time: '1719342473'
end_time: '1719342533'
version: "/lkp/lkp/.src-20240625-205203:e6254fe10513:f4d5e7eae3e0"
